searchNodes=[{"doc":"Operations on AWS Cognito Identity","ref":"ExAws.CognitoIdentity.html","title":"ExAws.CognitoIdentity","type":"module"},{"doc":"Creates a new identity pool. The identity pool is a store of user identity information that is specific to your AWS account. The keys for SupportedLoginProviders are as follows: AWS API Docs Facebook: graph.facebook.com Google: accounts.google.com Amazon: www.amazon.com Twitter: api.twitter.com Digits: www.digits.com You must use AWS Developer credentials to call this API. Options *:allow_classic_flow - Enables or disables the Basic (Classic) authentication flow. For more information, see Identity Pools (Federated Identities) Authentication Flow in the Amazon Cognito Developer Guide. Valid values: true, false. *:cognito_identity_providers - An array of Amazon Cognito user pools and their client IDs. Valid values: array of CognitoIdentityProvider objects. *:developer_provider_name - The &quot;domain&quot; by which Cognito will refer to your users. This name acts as a placeholder that allows your backend and the Cognito service to communicate about the developer provider. For the DeveloperProviderName, you can use letters as well as period (.), underscore (_), and dash (-). Valid values: string betwee Once you have set a developer provider name, you cannot change it. Please take care in setting this parameter. *:identity_pool_tags - Tags to assign to the identity pool. A tag is a label that you can apply to identity pools to categorize and manage them in different ways, such as by purpose, owner, environment, or other criteria. Valid values: String to string map, key length max of 128 and value length max of 256. *:open_id_connect_provider_arns - The Amazon Resource Names (ARN) of the OpenID Connect providers. Valid values: array of strings, string min length of 20 and max length of 2048. *:saml_provider_arns - An array of Amazon Resource Names (ARNs) of the SAML provider for your identity pool. Valid values: array of string, string min length of 20 and max length of 2048. *:supported_login_providers - Optional key:value pairs mapping provider names to provider app IDs. Valid values: string to string map, key min length of 1 and max of 128, value min length of 1 and max of 128.","ref":"ExAws.CognitoIdentity.html#create_identity_pool/3","title":"ExAws.CognitoIdentity.create_identity_pool/3","type":"function"},{"doc":"Deletes identities from an identity pool. You can specify a list of 1-60 identities that you want to delete. AWS API Docs Valid values: array of string, max 60 items, string min length of 1 and max length of 55. You must use AWS Developer credentials to call this API.","ref":"ExAws.CognitoIdentity.html#delete_identities/1","title":"ExAws.CognitoIdentity.delete_identities/1","type":"function"},{"doc":"Deletes an identity pool. Once a pool is deleted, users will not be able to authenticate with the pool. AWS API Docs You must use AWS Developer credentials to call this API.","ref":"ExAws.CognitoIdentity.html#delete_identity_pool/1","title":"ExAws.CognitoIdentity.delete_identity_pool/1","type":"function"},{"doc":"Returns metadata related to the given identity, including when the identity was created and any associated linked logins. AWS API Docs You must use AWS Developer credentials to call this API.","ref":"ExAws.CognitoIdentity.html#describe_identity/1","title":"ExAws.CognitoIdentity.describe_identity/1","type":"function"},{"doc":"Gets details about a particular identity pool, including the pool name, ID description, creation date, and current number of users. AWS API Docs You must use AWS Developer credentials to call this API.","ref":"ExAws.CognitoIdentity.html#describe_identity_pool/1","title":"ExAws.CognitoIdentity.describe_identity_pool/1","type":"function"},{"doc":"Returns credentials for the provided identity ID. Any provided logins will be validated against supported login providers. If the token is for cognito-identity.amazonaws.com, it will be passed through to AWS Security Token Service with the appropriate role for the token. AWS API Docs This is a public API. You do not need any credentials to call this API. Options *:custom_role_arn - The Amazon Resource Name (ARN) of the role to be assumed when multiple roles were received in the token from the identity provider. For example, a SAML-based identity provider. This parameter is optional for identity providers that do not support role customization. Valid values: string with min length 20 and max length 2048. *:logins - A set of optional name-value pairs that map provider names to provider tokens. The name-value pair will follow the syntax &quot;provider_name&quot;: &quot;provider_user_identifier&quot;. Logins should not be specified when trying to get credentials for an unauthenticated identity. The Logins parameter is required when using identities associated with external identity providers such as Facebook. For examples of Logins maps, see the code examples in the External Identity Providers section of the Amazon Cognito Developer Guide. Valid values: string to string map, key min length of 1 and max length of 128, value min length of 1 and max length of 50000.","ref":"ExAws.CognitoIdentity.html#get_credentials_for_identity/2","title":"ExAws.CognitoIdentity.get_credentials_for_identity/2","type":"function"},{"doc":"Generates (or retrieves) a Cognito ID. Supplying multiple logins will create an implicit linked account. AWS API Docs This is a public API. You do not need any credentials to call this API. Options *:account_id - A standard AWS account ID (9+ digits). Valid values: string with min length of 1 and max length of 15. *:logins - A set of optional name-value pairs that map provider names to provider tokens. The available provider names for Logins are as follows: Facebook: graph.facebook.com Amazon Cognito user pool: cognito-idp..amazonaws.com/, for example, cognito-idp.us-east-1.amazonaws.com/us-east-1_123456789. Google: accounts.google.com Amazon: www.amazon.com Twitter: api.twitter.com Digits: www.digits.com Valid values: string to string map, key min length of 1 and max length of 128, value min length of 1 and max length of 50000.","ref":"ExAws.CognitoIdentity.html#get_id/2","title":"ExAws.CognitoIdentity.get_id/2","type":"function"},{"doc":"Gets the roles for an identity pool. AWS API Docs You must use AWS Developer credentials to call this API.","ref":"ExAws.CognitoIdentity.html#get_identity_pool_roles/1","title":"ExAws.CognitoIdentity.get_identity_pool_roles/1","type":"function"},{"doc":"Gets an OpenID token, using a known Cognito ID. This known Cognito ID is returned by GetId. You can optionally add additional logins for the identity. Supplying multiple logins creates an implicit link. AWS API Docs The OpenID token is valid for 10 minutes. This is a public API. You do not need any credentials to call this API. Options *:logins - A set of optional name-value pairs that map provider names to provider tokens. When using graph.facebook.com and www.amazon.com, supply the access_token returned from the provider&#39;s authflow. For accounts.google.com, an Amazon Cognito user pool provider, or any other OpenID Connect provider, always include the id_token. Valid values: string to string map, key min length of 1 and max length of 128, value min length of 1 and max length of 50000.","ref":"ExAws.CognitoIdentity.html#get_open_id_token/2","title":"ExAws.CognitoIdentity.get_open_id_token/2","type":"function"},{"doc":"Registers (or retrieves) a Cognito IdentityId and an OpenID Connect token for a user authenticated by your backend authentication process. Supplying multiple logins will create an implicit linked account. You can only specify one developer provider as part of the Logins map, which is linked to the identity pool. The developer provider is the &quot;domain&quot; by which Cognito will refer to your users. AWS API Docs You can use GetOpenIdTokenForDeveloperIdentity to create a new identity and to link new logins (that is, user credentials issued by a public provider or developer provider) to an existing identity. When you want to create a new identity, the IdentityId should be null. When you want to associate a new login with an existing authenticated/unauthenticated identity, you can do so by providing the existing IdentityId. This API will create the identity in the specified IdentityPoolId. You must use AWS Developer credentials to call this API. Options *:identity_id - A unique identifier in the format REGION:GUID. Valid values: string with min length of 1 and max length of 55. *:token_duration - The expiration time of the token, in seconds. You can specify a custom expiration time for the token so that you can cache it. If you don&#39;t provide an expiration time, the token is valid for 15 minutes. You can exchange the token with Amazon STS for temporary AWS credentials, which are valid for a maximum of one hour. The maximum token duration you can set is 24 hours. You should take care in setting the expiration time for a token, as there are significant security implications: an attacker could use a leaked token to access your AWS resources for the token&#39;s duration. Note Please provide for a small grace period, usually no more than 5 minutes, to account for clock skew. Valid values: long between 1 and 86400.","ref":"ExAws.CognitoIdentity.html#get_open_id_token_for_developer_identity/3","title":"ExAws.CognitoIdentity.get_open_id_token_for_developer_identity/3","type":"function"},{"doc":"Lists the identities in an identity pool. AWS API Docs You must use AWS Developer credentials to call this API. Options *:hide_disabled - An optional boolean parameter that allows you to hide disabled identities. If omitted, the ListIdentities API will include disabled identities in the response. Valid values: true/false. *:next_token - A pagination token. Valid values: string with min length of 1.","ref":"ExAws.CognitoIdentity.html#list_identities/3","title":"ExAws.CognitoIdentity.list_identities/3","type":"function"},{"doc":"Lists all of the Cognito identity pools registered for your account. AWS API Docs You must use AWS Developer credentials to call this API. Options *:next_token - A pagination token. Valid values: string with min length of 1.","ref":"ExAws.CognitoIdentity.html#list_identity_pools/2","title":"ExAws.CognitoIdentity.list_identity_pools/2","type":"function"},{"doc":"Lists the tags that are assigned to an Amazon Cognito identity pool. AWS API Docs A tag is a label that you can apply to identity pools to categorize and manage them in different ways, such as by purpose, owner, environment, or other criteria. You can use this action up to 10 times per second, per account.","ref":"ExAws.CognitoIdentity.html#list_tags_for_resource/1","title":"ExAws.CognitoIdentity.list_tags_for_resource/1","type":"function"},{"doc":"Retrieves the IdentityID associated with a DeveloperUserIdentifier or the list of DeveloperUserIdentifier values associated with an IdentityId for an existing identity. Either IdentityID or DeveloperUserIdentifier must not be null. If you supply only one of these values, the other value will be searched in the database and returned as a part of the response. If you supply both, DeveloperUserIdentifier will be matched against IdentityID. If the values are verified against the database, the response returns both values and is the same as the request. Otherwise a ResourceConflictException is thrown. AWS API Docs You must use AWS Developer credentials to call this API. Options *:developer_user_identifier - A unique ID used by your backend authentication process to identify a user. Typically, a developer identity provider would issue many developer user identifiers, in keeping with the number of users. Valid values: string with min length 1 and max length of 1024. *:identity_id - A unique identifier in the format REGION:GUID. Valid values: string with min length of 1 and max length of 55. *:max_results - The maximum number of identities to return. Valid values: integer between 1 and 60. *:next_token - A pagination token. The first call you make will have NextToken set to null. After that the service will return NextToken values as needed. For example, let&#39;s say you make a request with MaxResults set to 10, and there are 20 matches in the database. The service will return a pagination token as a part of the response. This token can be used to call the API again and get results starting from the 11th match. Valid values: string with min length of 1","ref":"ExAws.CognitoIdentity.html#lookup_developer_identity/2","title":"ExAws.CognitoIdentity.lookup_developer_identity/2","type":"function"},{"doc":"Merges two users having different IdentityIds, existing in the same identity pool, and identified by the same developer provider. You can use this action to request that discrete users be merged and identified as a single user in the Cognito environment. Cognito associates the given source user (SourceUserIdentifier) with the IdentityId of the DestinationUserIdentifier. Only developer-authenticated users can be merged. If the users to be merged are associated with the same public provider, but as two different users, an exception will be thrown. AWS API Docs The number of linked logins is limited to 20. So, the number of linked logins for the source user, SourceUserIdentifier, and the destination user, DestinationUserIdentifier, together should not be larger than 20. Otherwise, an exception will be thrown. You must use AWS Developer credentials to call this API.","ref":"ExAws.CognitoIdentity.html#merge_developer_identities/4","title":"ExAws.CognitoIdentity.merge_developer_identities/4","type":"function"},{"doc":"Sets the roles for an identity pool. These roles are used when making calls to GetCredentialsForIdentity action. AWS API Docs You must use AWS Developer credentials to call this API. Options *:role_mappings - How users for a specific identity provider are to mapped to roles. This is a string to RoleMapping object map. The string identifies the identity provider, for example, &quot;graph.facebook.com&quot; or &quot;cognito-idp.us-east-1.amazonaws.com/us-east-1_abcdefghi:app_client_id&quot;. Up to 25 rules can be specified per identity provider. Valid values: string to RoleMapping object map, key min length of 1 and max length of 128.","ref":"ExAws.CognitoIdentity.html#set_identity_pool_roles/3","title":"ExAws.CognitoIdentity.set_identity_pool_roles/3","type":"function"},{"doc":"Assigns a set of tags to the specified Amazon Cognito identity pool. A tag is a label that you can use to categorize and manage identity pools in different ways, such as by purpose, owner, environment, or other criteria. AWS API Docs Each tag consists of a key and value, both of which you define. A key is a general category for more specific values. For example, if you have two versions of an identity pool, one for testing and another for production, you might assign an Environment tag key to both identity pools. The value of this key might be Test for one identity pool and Production for the other. Tags are useful for cost tracking and access control. You can activate your tags so that they appear on the Billing and Cost Management console, where you can track the costs associated with your identity pools. In an IAM policy, you can constrain permissions for identity pools based on specific tags or tag values. You can use this action up to 5 times per second, per account. An identity pool can have as many as 50 tags.","ref":"ExAws.CognitoIdentity.html#tag_resource/2","title":"ExAws.CognitoIdentity.tag_resource/2","type":"function"},{"doc":"Unlinks a DeveloperUserIdentifier from an existing identity. Unlinked developer users will be considered new identities next time they are seen. If, for a given Cognito identity, you remove all federated identities as well as the developer user identifier, the Cognito identity becomes inaccessible. AWS API Docs You must use AWS Developer credentials to call this API.","ref":"ExAws.CognitoIdentity.html#unlink_developer_identity/4","title":"ExAws.CognitoIdentity.unlink_developer_identity/4","type":"function"},{"doc":"Unlinks a federated identity from an existing account. Unlinked logins will be considered new identities next time they are seen. Removing the last linked login will make this identity inaccessible. AWS API Docs This is a public API. You do not need any credentials to call this API.","ref":"ExAws.CognitoIdentity.html#unlink_identity/3","title":"ExAws.CognitoIdentity.unlink_identity/3","type":"function"},{"doc":"Removes the specified tags from the specified Amazon Cognito identity pool. You can use this action up to 5 times per second, per account AWS API Docs","ref":"ExAws.CognitoIdentity.html#untag_resource/2","title":"ExAws.CognitoIdentity.untag_resource/2","type":"function"},{"doc":"Updates an identity pool. AWS API Docs You must use AWS Developer credentials to call this API. Options *:allow_classic_flow - Enables or disables the Basic (Classic) authentication flow. For more information, see Identity Pools (Federated Identities) Authentication Flow in the Amazon Cognito Developer Guide. Valid values: true/false. *:cognito_identity_providers - A list representing an Amazon Cognito user pool and its client ID. Valid values: array of CognitoIdentityProvider objects. *:developer_provider_name - The &quot;domain&quot; by which Cognito will refer to your users. Valid values: string with min length of 1 and max length of 128. *:identity_pool_tags - The tags that are assigned to the identity pool. A tag is a label that you can apply to identity pools to categorize and manage them in different ways, such as by purpose, owner, environment, or other criteria. Valid values: string to string map, key min length of 1 and max length of 128, value min length of 0 and max length of 256. *:open_id_connect_provider_arns - The ARNs of the OpenID Connect providers. Valid values: array of strings, string min length of 20 and max length of 2048. *:saml_provider_arns - An array of Amazon Resource Names (ARNs) of the SAML provider for your identity pool. Valid values: array of strings, string min length of 20 and max length of 2048. *:supported_login_providers - Optional key:value pairs mapping provider names to provider app IDs. Valid values: string to string map, key min length of 1 and max length of 128, value min length of 1 and max length of 128.","ref":"ExAws.CognitoIdentity.html#update_identity_pool/4","title":"ExAws.CognitoIdentity.update_identity_pool/4","type":"function"}]